
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'widgets/detail.dart';

class MachineryDetailPage extends StatelessWidget {

  final title = Rx<String>('查看详情');

  // 响应预约事件
  void handleClick() {
    Get.toNamed('/orderConfirmation');
  }

  @override
  Widget build(BuildContext context) {
    final appBar = AppBar(title: Obx(() => Text(title.value)), centerTitle: true,);

    return Scaffold(
      appBar: appBar,
      body: SingleChildScrollView(
        child: page(context: context, handleClick: handleClick),
      ),
    );
  }

}
